uuid: c6a2a84a-6a03-471d-abfc-b113101698b4
langcode: en
status: true
dependencies:
  config:
    - media.type.document
  module:
    - media
  enforced:
    module:
      - islandora_core_feature
_core:
  default_config_hash: Gsj62Eqs8-b6U7ec-MdRmM0OPuE3PduXc-XhoHd9_tE
id: media.document
targetEntityType: media
bundle: document
types:
  - 'pcdm:File'
fieldMappings:
  name:
    properties:
      - 'dcterms:title'
      - 'rdf:label'
  created:
    properties:
      - 'schema:dateCreated'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  changed:
    properties:
      - 'schema:dateModified'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  uid:
    properties:
      - 'schema:author'
    mapping_type: rel
  field_mime_type:
    properties:
      - 'ebucore:hasMimeType'
  field_media_of:
    properties:
      - 'pcdm:fileOf'
    mapping_type: rel
  field_original_name:
    properties:
      - 'premis3:originalName'
  field_tags:
    properties:
      - 'schema:additionalType'
    mapping_type: rel
  field_file_size:
    properties:
      - 'premis:hasSize'
